/*

  DBOX Module
  Copyright (C) 1994-2000 Daniel Kroening <kroening@handshake.de>

  Purpose: 

*/

#include <iostream>

#include "dboximap4.h"

void dboximap4t::dogetacl()
 {
  if(arguments.size()<1)
   {
    std::cout << tag << " NO give a mailbox name\r\n";
    command_ok=FALSE;
    return; 
   }

  std::string mailbox_name=arguments[0].data, folder_owner, subfolder, folder_name;

  if(process_mailbox_name(mailbox_name, folder_owner, subfolder, folder_name))
    return;

  folder_grantst grants;
  ::get_folder_grants(folder_owner, subfolder, up, gp, grants);
  if(!grants.read)
   {
    std::cout << tag << " NO permission denied\r\n";
    return;
   }

  #if 0
  folderpt new_fp;

  new_fp.setname(folder_name);

  new_fp.read();
  #endif

  // TODO

  std::cout << "* ACL ";
  send_string(arguments[0].data);
  std::cout << " ";
  send_string(folder_owner);
  std::cout << " " << "lrswipcda" << "\r\n";
 }

void dboximap4t::domyrights()
 {
  if(arguments.size()<1)
   {
    std::cout << tag << " NO give a mailbox name\r\n";
    command_ok=FALSE;
    return; 
   }

  std::string mailbox_name=arguments[0].data, folder_owner, subfolder, folder_name;

  if(process_mailbox_name(mailbox_name, folder_owner, subfolder, folder_name))
    return;

  folder_grantst grants;
  ::get_folder_grants(folder_owner, subfolder, up, gp, grants);
  if(!grants.read)
   {
    std::cout << tag << " NO permission denied\r\n";
    return;
   }

  // TODO

  #if 0
  folderpt new_fp;

  new_fp.setname(folder_name);

  new_fp.read();
  #endif

  std::cout << "* MYRIGHTS ";
  send_string(arguments[0].data);
  std::cout << " " << "lrswipcda" << "\r\n";
 }

void dboximap4t::dolistrights()
 {
  std::cout << tag << " NO not implemented yet\r\n";
  command_ok=FALSE;
 }

void dboximap4t::dodeleteacl()
 {
  std::cout << tag << " NO not implemented yet\r\n";
  command_ok=FALSE;
 }

void dboximap4t::dosetacl()
 {
  std::cout << tag << " NO not implemented yet\r\n";
  command_ok=FALSE;
 }
