#ifndef DBOX_IMAP4FETCH_H

#define DBOX_IMAP4FETCH_H

#include <strstream>

#include "imap4set.h"

class fetch_set_commandt:public set_commandt
 {
 public:
  virtual bool msg();

  void address_to_imap(std::ostrstream &realname, std::ostrstream &email);
  void address_to_imap(const char *&address);
  void address_list_to_imap(const std::string &address);
  
  void send_header(rfcmessaget &rfcm, const std::string &name);
  void filter_header(int startargnr);
  void fetch(const std::string &what);
  void fetch_body(const std::string &what);
  void fetch_body2(const std::string &what, const std::string &response);
  void fetch_body3(const std::string &specification,
    bool partial, dword partial_start, dword partial_size,
    const std::string &display_response);
  void fetch_body3_part(
    mimestructt &mimestruct,
    const std::string &specification, const std::string &part,
    bool partial, dword partial_start, dword partial_size,
    const std::string &display_response);
  void fetch_body3_part2(
    mimestructt &mimestruct,
    const std::string &specification,
    bool partial, dword partial_start, dword partial_size,
    const std::string &display_response);
  void fetch_body4(const char *ptr, dword data_size,
    bool partial, dword partial_start, dword partial_size);
  void fetch_body_parse(const std::string &what,
    bool &peek, std::string &specification, std::string &part,
    bool &partial, dword &partial_start, dword &partial_size);
    
  void fetch_bodystructure(const std::string &what);
  void fetch_bodystructure(mimestructt &mimestruct);
  void fetch_body_fields(mimestructt &mimestruct);
  unsigned count_lines(const char *msg, size_t len);
  unsigned count_lines(mimestructt &mimestruct);
  void fetch_envelope(rfcmessaget &rfcm);
  
  fetch_set_commandt(dboximap4t &_dboximap4):set_commandt(_dboximap4) 
   {
   }
 };
 
#endif
