#ifndef DBOX_FOLDERINDEX_H

#define DBOX_FOLDERINDEX_H

#include <time.h>
#include <libdbox.h>

class folderindext
 {
 public:
  dword version;
 
  struct
   {
    bool deleted:8;
    bool seen:8;
    bool bodyextern:8;
    bool binary:8;
    bool rfc:8;
    byte imapflags:8;
    bool reserved1:8;
    bool reserved2:8;
    bool reserved3:8;
    bool reserved4:8;
    bool reserved5:8;
   } flags;
   
  char bet[TEXTLEN], abs[TEXTLEN], file[TEXTLEN], mid[TEXTLEN];
  char folder[TEXTLEN], reserved1[TEXTLEN];
  time_t eda, received;
  dword len, headerlen, headeroffs;
  dword id;
  dword reserved2, reserved3, reserved4;

  void clear();
  bool check_version();
  
  folderindext();
 };
 
#endif
