#ifndef DBOX_GETRFC_H

#define DBOX_GETRFC_H

#include <mtoolrfc.h>
#include <folder.h>
#include <folderindex.h>
#include <mimeparse.h>

class getrfct
 {
 public:
  int header, index;
  folderindext fi;
  folderpt fp;

  rfcmessaget rfcm;
  mimestructt *mimestruct;
  
  virtual bool get_folderindex(dword nr);
  virtual bool get_header(dword nr);
  virtual bool get_body(dword nr);
  virtual bool get_structure(dword nr);
  virtual const char *getpath();

  virtual bool open_mail(const std::string &name, const std::string &subfolder);
  virtual bool open_news(const std::string &name);
  virtual bool close();
  virtual dword get_number_of_messages();
  
  virtual bool search_uid(dword uid, dword &nr);
  
  getrfct();
  virtual ~getrfct();

  virtual void clear_cached();
  
 protected:
  bool opened;
  dword cached_nr;
  bool cached_header, cached_folderindex, cached_body, cached_structure;
  
  virtual void check_cache(dword nr);
  virtual bool open_files();
 };

#endif
