#ifndef WIN32
#include <unistd.h>
#endif

#include <time.h>

#include <messageid.h>
#include <config.h>
#include <stringtools.h>

std::string gen_message_id(const std::string &module)
 {
  unsigned pid;

  #ifdef WIN32
  pid=0;
  #else
  pid=getpid();
  #endif

  return module+"."+
         i2string((unsigned int)(pid+(config.midcount++)))+"."+
         i2string((unsigned int)(time(NULL)))+"@"+
         config.boxname+"."+
         config.domain;
 }

