#ifndef DBOX_PARSEOPTIONS_H

#define DBOX_PARSEOPTIONS_H

#include <string>
#include <cmdline.h>

class parseoptions_baset
 {
 public:
  cmdlinet cmdline;
  std::string boxname;
  
  virtual void help();
  virtual void usage_error();
  
  virtual int doit()=0;
  
  virtual int parseoptions(int argc, char **argv);
  parseoptions_baset(const char *optstring);
  parseoptions_baset();
  virtual ~parseoptions_baset() { }
  
 private:
  std::string optstring;
 };

#endif
