#ifndef DBOX_STRINGTOOLS_H

#define DBOX_STRINGTOOLS_H

#include <string>
#include <libdbox.h>

int stringcasecmp(const std::string &a, const std::string &b);
void ibm2ascii(std::string &s);
void iso2ascii(std::string &s);
void ibm2iso(std::string &s);
void iso2ibm(std::string &s);
void upstringibm(std::string &s);
void upstringiso(std::string &s);
void upstring(std::string &s);
void dnstring(std::string &s);
std::string up_string(const std::string &s);
std::string dn_string(const std::string &s);
std::string i2string(unsigned i);
std::string i2string(signed i);
std::string i2string(dword i);

bool check_joker(const std::string &mask, const std::string &filename,
                 bool casei=FALSE);
// TRUE: ok, FALSE: failed

#endif
