#include "emailtab.h"

void map_emailtab(userpt &up, const std::string &addr, userpt &dest_up)
 {
  dest_up.setname(up.name);

  std::string filename=std::string(up.getpath())+"emailtab";
  FILE *infile=fopen(filename.c_str(), "rt");
  if(infile!=NULL)
   {
    char t_addr[TEXTLEN], t_alias[TEXTLEN];
  
    while(readconfigline(infile, t_addr, t_alias, TEXTLEN-1)==0)
      if(stricmp(addr.c_str(), t_addr)==0)
       {
        dest_up.setname(t_alias);
        break;
       }

    fclose(infile);
   }

  if(stricmp(dest_up.name, up.name)==0 ||
     dest_up.read() ||
     stricmp(dest_up|"alias", up.name)!=0)
   {
    dest_up.copy_from(&up);
   }
 }
