#ifndef DBOX_WEBTOOLS_H

#define DBOX_WEBTOOLS_H

#include "http.h"

bool req_auth(httpt &http, const string &realm);
void makebutton(char *text, char *link, char *target);
char *http_time(time_t t);
void print_http_header();
void startpage(ostream &out, const string &title);
void endpage(ostream &out);
void showcopyright(ostream &out);
void startpage(const char *title);
void redirect(ostream &out, const string &url);
void endpage();
void showcopyright();
void mkgifbutton(const char *gifname, const char *alt,
                 const char *link);
const char *get_mime_type(const char *filename);

#endif
