#ifndef DBOX_PROFILE_H

#define DBOX_PROFILE_H

#include <string>

#include <libdbox.h>
#include <config.h>
#include <textprofile.h>

class pt:public textprofilet
 {
 public:
  char name[TEXTLEN];
  configt *pconfig;
  
  virtual void copy_from(pt *profile);
 
  virtual void setfilename() { };
  virtual void setname(const std::string &_name);
  const char *getname() const;
  virtual bool read();
  virtual bool write();
 
  virtual bool lock();
  virtual bool lock(const char *module);
  virtual bool unlock();
  
  virtual bool add() { return TRUE; }
  virtual bool del() { return TRUE; }

  virtual void initialize();
  pt();
  pt(const char *_name);
  
  virtual const char *getpath() const;
  virtual const char *getfilename() const;
  
  virtual ~pt();

 protected: 
  bool locked, reading;
  char filename[DIRLEN];
  char path[DIRLEN], locktype[TEXTLEN];

  virtual const char *do_get(const char *id) const;
  virtual char *do_get_ptr(const char *id);
  virtual void do_set(const char *id, const char *text);
 };

#endif
