#ifndef DBOX_RFC822_H

#define DBOX_RFC822_H

#include <string>
#include <vector>

struct rfc822symbolt
 {
  enum { SPECIAL, QUOTED, DOMAIN, COMMENT, ATOM, END_OF_LIST } type;
  std::string text;
 };

void parserfc822symbols(const std::string &text, 
                        std::vector<rfc822symbolt> &symbols,
                        const std::string &extra_specials="");

#endif
