#ifndef DKIMAPLIB_CONFIG_H

#define DKIMAPLIB_CONFIG_H

#include <string>

#include <sys/types.h>
#include <libdbox.h>
#include <libmain.h>

class configt
 {
 public:
  char boxname[TEXTLEN], domain[TEXTLEN];
  char boxdir[DIRLEN], dboxdir[DIRLEN];

  #ifndef WIN32  
  uid_t daemon_uid;
  #endif
  
  dword midcount;
  
  virtual bool read(const char *forcedboxname);
 };
 
extern configt config;

void makepath(const std::string &_path);

#endif
