#ifndef DBOX_WEBMAIL_H

#define DBOX_WEBMAIL_H

#include "http.h"
#include "webgetrfc.h"

void doemail(httpt &http, ostream &out);

class webmailt
 {
 public:
  webmailt(httpt &_http, ostream &_out);
  void doemail();

 protected:
  httpt &http;
  ostream &out;
  webgetrfct getrfc;
  string mailbox;
  folder_grantst grants;
  
  bool open_mailbox(string &error);
  void show_mailbox_list();
  void read_mail_folder();
  void read_mail();
  void delete_mail();
  void reply_mail();
  bool get_msg_nr(dword &nr, string &msg_id);
 };

#endif
